### Function

# ICalGLib memory_tmp_buffer

since: 1.0

#### Declaration [src]

    void*
    i_cal_memory_tmp_buffer (
      size_t size
    )

#### Description [src]

Creates a buffer with target size.

Available since: 1.0

#### Parameters

`size`

  Type: `size_t`

  The size of the buffer to be created.

#### Return value

Type: `void*`

The newly created buffer.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.